/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import java.sql.Timestamp;
import java.util.Date;

import com.cim.idm.framework.orm.info.HistoryKeyInfo;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserLoggedInHistoryKey.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserLoggedInHistoryKey implements HistoryKeyInfo
{
	private String		userId;
	private String		UIName;
	private Timestamp	loggedInTime;

	public UserLoggedInHistoryKey()
	{
	}

	public UserLoggedInHistoryKey(String userId, String uiName, Timestamp loggedInTime)
	{
		this.userId = userId;
		this.UIName = uiName;
		this.loggedInTime = loggedInTime;
	}

	public String getUserId()
	{
		return userId;
	}

	public void setUserId(String userId)
	{
		this.userId = userId;
	}

	public String getUIName()
	{
		return UIName;
	}

	public void setUIName(String uiName)
	{
		this.UIName = uiName;
	}

	public Date getLoggedInTime()
	{
		return loggedInTime;
	}

	public void setLoggedInTime(Timestamp loggedInTime)
	{
		this.loggedInTime = loggedInTime;
	}
}
